Redmine - Feature #4318

| can't receive mail notification for news and issue
2009-12-02 09:18 - J.K Wang

Status: Closed Start date: 2009-12-02
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce

Description

| can't receive mail notification.
the following log:

Processing IssuesController#new (for 192.168.0.66 at 2009-12-02 16:08:10) [POST]
168600 Session ID: a6f463b5c4a3a201ea24f955a70cb861

168601 Parameters: {"project_id"=>"ppms", "commit"=>"a<88><9b>a»2", "action"=>"new", "controller"=>"issues",
"issue"=>{"start_date"=>"2009-12-02", "estimate d_hours"=>"", "priority_id"=>"4",
"subject"=>"aep<8b>e"<95>a<8f><90>84%1é<97>®é¢<98>6<82>®&» e <8f><90>6<86><92>8<80><82>",
"description"=>"a&eu<8b>&"<95>ze< 8f><90>a%06<97>B€¢<98>€<82>®4a » fae<8f><90>€<86><92>", "tracker_id"=>"2",
"done_ratio"=>"0", "due_date"=>"", "assigned_to_id"=>"99", "status_id"=>"1"}, "a ttachments"=>{"1"=>{"description"=>"",
"file"=>""}}}

168602 Sent mail to

168603 Redirected to hitp://192.168.1.11:3000/issues/show/122

168604 Completed in 0.15848 (6 reqgs/sec) | DB: 0.07384 (46%) | 302 Found [http://192.168.1.11/projects/ppms/issues/new]

Processing NewsController#new (for 192.168.0.66 at 2009-12-02 16:06:44) [POST]

168569 Session ID: a6f463b5c4a3a20lea24£955a70cb861

168570 Parameters: {"project_id"=>"ppms", "commit"=>"&&lt;88&gt;&lt;9%&gt;a»°", "action"=>"new",
"controller"=>"news", "news"=>{"title"=>"eu&lt;8b&gt;e &lt; 95&gt;e&lt;966&gt; °é&lt;976&gt; »é&1t;82¢&

gt;® a»Jeslt;8fagt; &1t;90&gt;é61t;86&gt; &1t; 928gt;a81t;80&gt; &1t;82&gt;", "description"=>"ht

tp:// 192.168.1.11/projects/ppms/news/new", "summary"=>""}}

168571 Sent mail to

168572 Redirected to http://192.168.1.11:3000/projects/ppms/news

168573 Completed in 0.06335 (15 reqgs/sec) | DB: 0.00738 (11%) | 302 Found [

http: 192.168.1.11/projects/ppms/news/new]

History

#1 - 2009-12-02 20:02 - Jean-Philippe Lang
Please read SubmittingBugs and FAQ.

#2 - 2009-12-03 03:24 - Daniel Sintaj

Very nice FAQ entry, indeed.

But what about an option when:

=> If you do recieve the testing email, but notifications from your issues aren't sent at all.
Debug is enabled, but no useful information provided.

| still haven't solved it - http://www.redmine.org/issues/3989 even though it is marked as "Closed."

#3 - 2009-12-03 03:59 - J.K Wang

$sudo ruby script/about
About your application's environment
Ruby version 1.8.6 (i486-1inux)

RubyGems version NSNS
Rails version 2.1.2
Active Record version 2.1.2
Action Pack version Bod o2
Active Resource version 2.1.2
http://192.168.1.11:3000/issues/show/122
http://192.168.1.11/projects/ppms/issues/new
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://www.redmine.org/projects/redmine/wiki/FAQ#Email-notifications-are-not-working
http://www.redmine.org/issues/3989

Action Mailer version 2.1.2

Active Support version Bod o2

Edge Rails revision unknown

Application root /mnt/MD1000/sites/redmine
Environment development

Database adapter mysql

$psqgl —-version
psgl (PostgreSQL) 8.3.8

redmine version 0.8.4

email.yml

production:
delivery_method: :smtp
smtp_settings:
address: 192.168.0.254
port: 25
domain: mydomain.com
authentication: :login
user_name: username
password: *****x

database.yml

production:
adapter: postgresqgl
database: redmine
host: localhost
username: XXX
password: XXX
encoding: utf8

tracelog:

Processing IssuesController#new (for 192.168.0.66 at 2009-12-02 16:08:10) [POST]

168600 Session ID: a6f463b5c4a3a20lea24£955a70cb861

168601 Parameters: {"project_id"=>"ppms", "commit"=>"a4<88><9%b>a»°", "action"=>"new", "controller"=>"issues", "
issue"=>{"start_date"=>"2009-12-02", "estimate d_hours"=>"", "priority_id"=>"4", "subject"=>"eu<8b>e <95>x<8f>
<90>8°1é<97>®é¢<98>€<82>®a» Te<8£><90>€<86><92>54<80><82>", "description"=>"eu<8b>e <95>a< 8f><90>4°1é<97>®E¢<98
>é<82>®a» [e<8£f><90>é<86><92>", "tracker_id"=>"2", "done_ratio"=>"0", "due_date"=>"", "assigned_to_id"=>"99", "
status_id"=>"1"}, "a ttachments"=>{"1"=>{"description"=>"", "file"=>""}}}

168602 Sent mail to

168603 Redirected to http://192.168.1.11:3000/issues/show/122

168604 Completed in 0.15848 (6 regs/sec) | DB: 0.07384 (46%) | 302 Found [http://192.168.1.11/projects/ppms/is
sues/new]

Processing NewsController#new (for 192.168.0.66 at 2009-12-02 16:06:44) [POST]

168569 Session ID: a6f463b5c4a3a201lea24£955a70cb861

168570 Parameters: {"project_id"=>"ppms", "commit"=>"a&lt;88&gt;&lt;9%b&gt;a»°", "action"=>"new", "controller
"=>"news", "news"=>{"title"=>"ep&lt;8b&gt;e &lt;90&gt;e&lt; 96&gt; °é&lt;97&gt;»é&1lt;82&0tL;® a»feslt; 8fagt
;&1t;90&gt;é&lt;86&gt; &1t; 92&gt;a&1t;80&gt; &1t;82&gt; ", "description"=>"http:// 192.168.1.11/projects/pp

ms/news/new", "summary"=>""}}

168571 Sent mail to

168572 Redirected to http://192.168.1.11:3000/projects/ppms/news

168573 Completed in 0.06335 (15 regs/sec) | DB: 0.00738 (11%) | 302 Found [http://192.168.1.11/projects/ppms/n
ews/new]

#4 - 2009-12-03 04:03 - J.K Wang

| try to update redmine to 0.8.7 , but | have the same problem.

#5 - 2009-12-04 10:32 - J.K Wang
- Assignee set to Jean-Philippe Lang

| think this problem is about database. when | use "RAILS_ENV=production rake db:migrate" to create a database | can't receive the mail notification.
but if | import data from postgresqgl to mysqgl use "DBConvert for MySQL & PostgreSQL" (because the tool is not registed ,only 50 line for each table), |
can received the mail notifications.

#6 - 2010-01-29 15:25 - shubham chakraborty

What is the solution to this????
Even i cant receive email notifications?
| switched to redmine because it had better interface and usability.
But without emails, its of no use.

#7 - 2011-03-21 10:06 - Etienne Massip
- Assignee deleted (Jean-Philippe Lang)

Quite an old post, did you manage to make it work ?
#8 - 2011-03-29 18:26 - Ho Tak

Etienne Massip wrote:

Quite an old post, did you manage to make it work ?

Hi

| have the same problem, could anyone have a look on it please?

Thanks.

#9 - 2011-03-29 19:22 - Etienne Massip

See SubmittingBugs and give all asked for informations.

And have a look at the definition of the column mail_notification in the users tabe of the db, should be a varchar(255).
#10 - 2011-03-30 03:54 - Ho Tak

Hi,

I think | have misunderstanding on the mail notification thing, | don't know the submission of code(activity), will not classify as "updated of issue"
| have been so stupid, and sorry for the inconvenience.

Thanks a lot for the quick response and help!
Tak.
#11 - 2019-02-11 01:11 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
http://www.tcpdf.org

